2019-12-07 22:49 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000202mercuryBugpublic2011-07-11 14:20
Reporterjuliensf 
Assigned Tojuliensf 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000202: Test failures in profdeep grades
DescriptionThe following test cases are failing on goliath in the asm_fast.gc.profdeep grade:

FAILED TEST hard_coded/impl_def_literal in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/special_char in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/string_class in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/string_codepoint in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/string_first_char in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/string_presuffix in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/string_set_char in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/string_strip in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/string_sub_string_search in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/test_pretty_printer in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/unicode_test in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/utf8_io in grade asm_fast.gc.profdeep
FAILED TEST hard_coded/words_separator in grade asm_fast.gc.profdeep


Additional InformationThis is due to the following abort in the compiler when writing out the .c file:

Software Error: string.unsafe_index: illegal sequence
Stack dump not available in this grade.

In particular, it occurs when writing out the module strings for a module.
(At a guess, we aren't handling UTF-8 encoded strings correctly here.)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000336

juliensf (administrator)

Fix committed by Peter Wang.
+Notes

-Issue History
Date Modified Username Field Change
2011-07-04 01:40 juliensf New Issue
2011-07-11 14:20 juliensf Note Added: 0000336
2011-07-11 14:20 juliensf Status new => resolved
2011-07-11 14:20 juliensf Resolution open => fixed
2011-07-11 14:20 juliensf Assigned To => juliensf
+Issue History